#!/bin/sh
# Modified by: Damian Rakowski <maestromae@o2.pl>
# This is a function to unload the USB mouse/keyboard modules:

TMP=/var/log/setup/tmp

echo
echo "Booting Kate OS Installation CD !!!!"
echo
mount sys -t sysfs /sys
mount proc -t proc /proc
/bin/mount -t ext2 /dev/ram0 / -o remount,rw
sh /etc/rc.d/rc.udev start

/bin/rm -f /etc/mtab* /etc/nologin
mount -a -o nofs 1>/dev/null 2>/dev/null 

/sbin/swapon -a 2> /dev/null

echo "0" > /proc/sys/kernel/printk 

SCSI_MODULES="libata aic7xxx BusLogic \
ncr53c8xx NCR53c406a \
initio \
advansys aha1740 aha1542 aha152x \
atp870u dtc eata fdomain gdth \
megaraid pas16 psi240i \
qlogicfas \
t128 tmscsim u14-34f ultrastor wd7000 \
a100u2w 3w-xxxx sd_mod sr_mod"

OLDCD_MODULES="aztcd cdu31a cm206 gscd \
isp16 mcdx optcd sbpcd sjcd sonycd535"

MD_MODULES="md-mod linear xor raid0 raid1 raid10 raid5"

SATA_MODULES="libata sata_nv sata_promise sata_qstor sata_mv sata_sil sata_sil24 sata_sis sata_svw sata_sx4 \
sata_uli sata_via ata_piix sd_mod sr_mod"

FOUND_SCSI=""

SCSI="no"
OLDCD="no"
SATA="no"

CMDLINE="`cat /proc/cmdline`"
for x in $CMDLINE
do
	if test "$x" = "scsi" ; then
	SCSI="yes"
	elif  test "$x" = "oldcd" ; then 
        OLDCD="yes"
        elif  test "$x" = "sata" ; then 
        SATA="yes"
	elif  test "$x" = "md" ; then 
        MD="yes"
	fi
done


loadmodules(){
TYPE=$TYPEX
for i in "$@"; do
echo  "Probing ${TYPE}... $i"
if modprobe $i >/dev/null 2>&1
then
echo "Found ${TYPE} device(s) handled by $i."
case "$TYPE" in scsi|SCSI) FOUND_SCSI="yes"; ;; esac
fi
done
}


if test "$SCSI" = "yes" ; then
TYPEX="SCSI"
loadmodules $SCSI_MODULES
fi

if test "$OLDCD" = "yes" ; then
TYPEX="OLDCD"
loadmodules $OLDCD_MODULES
fi

if test "$MD" = "yes" ; then
TYPEX="MD"
loadmodules $MD_MODULES
fi

if test "$SATA" = "yes" ; then
TYPEX="SATA"
loadmodules $SATA_MODULES
fi

if [ -d /proc/ide ]; then
modprobe ide-disk &>/dev/null
modprobe ide-cd &>/dev/null
fi

modprobe nls_iso8859-2 &>/dev/null
modprobe nls_cp437 &>/dev/null
modprobe msdos &>/dev/null
modprobe vfat &>/dev/null
modprobe jbd &>/dev/null
modprobe ext3 &>/dev/null
modprobe ntfs &>/dev/null
modprobe reiserfs &>/dev/null
modprobe cdrom &>/dev/null
modprobe loop &>/dev/null

/bin/setterm -blank 0


echo
echo "<OPTION TO LOAD SUPPORT FOR NON-US KEYBOARD>"
echo
echo "If you are not using a US keyboard, you may now load a different"
echo "keyboard map.  To select a different keyboard map, please enter 1"
echo "now.  To continue using the US map, just hit enter."
echo
echo -n "Enter 1 to select a keyboard map: "
read ONE
if [ "$ONE" = "1" ]; then
  /usr/lib/setup/SeTkeymap
fi

dialog --no-cancel --default-item "US" \
   --menu "Select your language:" 0 0 0 \
   "Polish" "pl_PL" \
   "US" "en_US" \
   2> $TMP/reply
   OPTION=`cat $TMP/reply`
if test "$OPTION" = "Polish" ; then
export LANG="pl_PL"
echo "export LANG=\"pl_PL\"" >> /etc/profile
else
export LANG="C"
echo "export LANG=\"C\"" >> /etc/profile
fi
export LC_COLLATE=C
echo "export LC_COLLATE=\"C\"" >> /etc/profile

clear

# Make detected partitions:
/dev/makedevs.sh

if [ "$LANG" = "pl_PL" ]; then
setfont /usr/share/kbd/consolefonts/lat2a-16.psfu.gz
cat /etc/issue.pl
else
cat /etc/issue
fi

# Fake login:  (fooled ya! ;^)
echo -n "Kate OS login: "
read BOGUS_LOGIN
cat /etc/motd
